Package net.shibboleth.idp.saml.nameid.impl

# Class TransformingNameIdentifierDecoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.saml.nameid.impl.BaseTransformingDecoder
net.shibboleth.idp.saml.nameid.impl.TransformingNameIdentifierDecoder

All Implemented Interfaces:
  `NameIdentifierDecoder`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class TransformingNameIdentifierDecoder extends BaseTransformingDecoder implements NameIdentifierDecoder
Transform from a `NameIdentifier`.

## Constructor Summary

Constructors
Constructor
Description
`TransformingNameIdentifierDecoder()`

## Method Summary

Modifier and Type
Method
Description
`String`
`decode(SubjectCanonicalizationContext c14nContext, NameIdentifier nameIdentifier)`
Decode the provided `NameIdentifier`.

### Methods inherited from class net.shibboleth.idp.saml.nameid.impl.BaseTransformingDecoder

`decode, setLowercase, setTransforms, setUppercase`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### TransformingNameIdentifierDecoder

public TransformingNameIdentifierDecoder()

## Method Details

### decode

@Nullable public String decode(@Nonnull SubjectCanonicalizationContext c14nContext, @Nonnull NameIdentifier nameIdentifier) throws NameDecoderException
Decode the provided `NameIdentifier`.

If the object is incompatible with the decoder in some way, a null is returned.

Specified by:
  `decode` in interface `NameIdentifierDecoder`
Parameters:
  `c14nContext` - the active c14n context
  `nameIdentifier` - the object to decode
Returns:
  the principal decoded from the value, or null
Throws:
  `NameDecoderException` - if an error occurred during translation